var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
import { h } from '@stencil/core';
import { VegaInternalIconManager } from '../../../../helpers/icon/internal-icon-manager';
import chevronUp from '../../../../global/icons/chevron-up';
import chevronDown from '../../../../global/icons/chevron-down';
export class VegaMenuArrowIconRenderer extends VegaSlimmer {
  render() {
    return (h("span", { class: "toggle-icon-wrapper" },
      h("vega-icon", { size: "size-12", icon: VegaInternalIconManager.getIconKey(this.isDropdownShow ? 'chevron-up' : 'chevron-down') })));
  }
}
(() => {
  VegaInternalIconManager.register({
    'chevron-up': chevronUp,
    'chevron-down': chevronDown,
  });
})();
__decorate([
  MapToComponentField()
], VegaMenuArrowIconRenderer.prototype, "isDropdownShow", void 0);
